---
title: WebGLSampler
slug: Web/API/WebGLSampler
tags:
  - API
  - Experimental
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLSampler</code></strong> interface is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2</a> API and stores sampling parameters for {{domxref("WebGLTexture")}} access inside of a shader.</p>

<p>When working with <code>WebGLSampler</code> objects, the following methods of the {{domxref("WebGL2RenderingContext")}} are useful:</p>

<ul>
 <li>{{domxref("WebGL2RenderingContext.createSampler()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.deleteSampler()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.isSampler()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.bindSampler()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.getSamplerParameter()")}}</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_WebGLSampler_object">Creating a <code>WebGLSampler</code> object</h3>

<p>in this example, <code>gl</code> must be a {{domxref("WebGL2RenderingContext")}}. <code>WebGLSampler</code> objects are not available in WebGL 1.</p>

<pre class="brush: js">var sampler = gl.createSampler();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.3", "WebGLSample")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLSampler")}}</p>
